Subject: Re: bug#34476: fluffy whitespace in the mode-line, despite it running off the screen

From: Eli Zaretskii <[email-masked]>
Date: Sun, 16 Aug 2020 17:43:33 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sun, 16 Aug 2020 13:21:38 +0200
> 
> >> Perhaps that's something that can be fixed?
> >
> > Not easily, because the display engine uses a different environment,
> > and also temporarily changes various settings as needed, something you
> > cannot do in Lisp.
> 
> Hm, ok...  Are these obscure differences?  I just went through a handful
> of buffers in this Emacs, and as far as I'm able to eyeball,
> (insert (format-mode-line mode-line-format)) produces something that
> looks identical to what's in the mode line in all the buffers.

Yes, the problems are subtle and appear rarely.  Some of them were
even fixed during the years.

I'm just bothered that we will shoot ourselves in the foot by
providing a feature that will cause bug reports which will be
non-trivial to fix.  But maybe I worry too much...